Subject: Re: Cygwin 1.5.10: Possible bug
From: Dave Neary <[email-masked]>
To: Shaddy Baddah <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Jun 2004 13:28:12 +0200

Hi Shaddy,

Shaddy Baddah wrote:
> In my experience with JNI dll's under cygwin, they can behave very
> erratically in the following situation. If you execute the JNI dll
> loading
> application from rxvt, or xterm, i.e. using a pseudo-terminal. Are you
> doing
> this?

No - usually I launch the java process in Eclipse, the standard cygwin 
console, or via a browser.

If I don't use cygwin and compile with --no-cygwin, there is no problem. 
I wonder whether this is related to 
http://sources.redhat.com/ml/cygwin/2003-03/msg00795.html or 
http://sources.redhat.com/ml/cygwin/2004-06/msg00274.html - the first 
one looks quite like the problems I was having with 1.5.4 and the second 
sounds like a decent description of what's hapenning now. It's not an 
easy workaround, though :)

Thanks for the fast reply.

Cheers,
Dave.

-- 
David Neary
Phenix Engineering
110 ave Jean Jaures, 69007 Lyon

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/